> For the complete documentation index, see [llms.txt](https://akiba-digital.gitbook.io/akiba-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/verification-apis/comprehensive-kyc.md).

# Comprehensive KYC

## The expected data returned:&#x20;

Using a South African Identification Number, we can return:&#x20;

* [x] Registered Names,&#x20;
* [x] Date of Birth,&#x20;
* [x] Age,&#x20;
* [x] Gender &#x20;
* [x] Deceased Status
* [x] &#x20;Last know contact number
* [x] &#x20;Last know address

{% hint style="info" %}
**Good to know:** All the methods shown below are synced to an example Swagger file URL and are kept up to date automatically with changes to the API.Vr
{% endhint %}

## Get Started

To make this endpoint, you will need a valid developer account and, API Keys. Read Authentication to learn more.

{% content-ref url="/pages/pToGCg7eHDPgevEUTaDT" %}
[Authentication](/akiba-api-docs/getting-started/authentication.md)
{% endcontent-ref %}

### API Endpoint

<mark style="color:green;">`POST`</mark> `https://api.akibaone.com/api/consumertrace`

### Request

<pre><code><strong>{
</strong>  "id_number": "string"
}
</code></pre>

### Response Samples

```
{
  "success": true,
  "message": "string",
  "id": "string"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/verification-apis/comprehensive-kyc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
